---
title: Get app
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Flagship](https://developers.cloudflare.com/api/python/resources/flagship)

[Apps](https://developers.cloudflare.com/api/python/resources/flagship/subresources/apps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get app

flagship.apps.get(strapp\_id, AppGetParams\*\*kwargs) -> [AppGetResponse](<https://developers.cloudflare.com/api/python/resources/flagship#(resource)%20flagship.apps%20%3E%20(model)%20app_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/flagship/apps/{app\_id}

Returns an app’s name and audit fields. Flag definitions are not included.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Flagship Read``Flagship Write`

##### ParametersExpand Collapse

account\_id: str

Cloudflare account ID that owns the Flagship app.

[Link to this property](<#(resource)%20flagship.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

app\_id: str

Flagship app ID returned when the app was created.

[Link to this property](<#(resource)%20flagship.apps%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class AppGetResponse: …

</summary>

id: str

<a href="#(resource)%20flagship.apps%20%3E%20(model)%20app_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_at: str

<a href="#(resource)%20flagship.apps%20%3E%20(model)%20app_get_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

name: str

<a href="#(resource)%20flagship.apps%20%3E%20(model)%20app_get_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

updated\_at: str

<a href="#(resource)%20flagship.apps%20%3E%20(model)%20app_get_response%20%3E%20(schema)%20%3E%20(property)%20updated_at">Link to this property</a>

updated\_by: str

Email of the actor who last modified the app, or <code>unknown</code> when unavailable.

<a href="#(resource)%20flagship.apps%20%3E%20(model)%20app_get_response%20%3E%20(schema)%20%3E%20(property)%20updated_by">Link to this property</a>

</details>

[Link to this property](<#(resource)%20flagship.apps%20%3E%20(model)%20app_get_response%20%3E%20(schema)>)

### Get app

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
app = client.flagship.apps.get(
    app_id="app_id",
    account_id="account_id",
)
print(app.id)
```

200 example

```
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}
```